package com.mortals.xhx.common.code;

import com.mortals.framework.ap.SysConstains;
import com.mortals.framework.common.IBaseEnum;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 持有者类型
 *
 */
public enum HolderType implements IBaseEnum {

    PERSON(1, "自然人", SysConstains.STYLE_DEFAULT),
    LEGAL(2, "法人", SysConstains.STYLE_DEFAULT),
    LEGAL_AND_PERSON(3, "自然人、法人", SysConstains.STYLE_DEFAULT);

    private int value;
    private String desc;
    private String style;

    HolderType(int value, String desc, String style) {
        this.value = value;
        this.desc = desc;
        this.style = style;
    }

    @Override
    public int getValue() {
        return this.value;
    }

    public String getDesc() {
        return desc;
    }

    public String getStyle()
    {
        return style;
    }

    public static HolderType getByValue(int value) {
        for (HolderType e : HolderType.values()) {
            if (e.getValue() == value) {
                return e;
            }
        }
        return null;
    }

    public static HolderType getByDesc(String desc) {
        for (HolderType e : HolderType.values()) {
            if (e.getDesc().equals(desc)) {
                return e;
            }
        }
        return null;
    }

    public static Map<String,String> getEnumMap(int... eItem) {
        Map<String,String> resultMap= new LinkedHashMap<String,String>();
        for (HolderType item : HolderType.values()) {
            try{
                boolean hasE = false;
                for (int e : eItem){
                    if(item.getValue()==e){
                        hasE = true;
                        break;
                    }
                }
                if(!hasE){
                    resultMap.put(item.getValue()+"", item.getDesc());
                }
            }catch(Exception ex){
            }
        }
        return resultMap;
    }
}
