package com.mortals.xhx.module.certificate.model;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.certificate.model.vo.CertificateCatalogVo;
import lombok.Data;
/**
 * 证照目录实体对象
 *
 * @author zxfei
 * @date 2023-05-24
 */
@Data
public class CertificateCatalogEntity extends CertificateCatalogVo {
    private static final long serialVersionUID = 1L;

    /**
     * 站点id
     */
    private Long siteId;
    /**
     * 目录名称
     */
    private String catalogName;
    /**
     * 目录编号
     */
    private String catalogCode;
    /**
     * 持有者类型，1：自然人；2：法人；3：自然人，法人
     */
    private Integer holderType;
    /**
     * 所属行业
     */
    private Long industryId;
    /**
     * 所属分类
     */
    private Long classifyId;
    /**
     * 横向尺寸(单位mm)
     */
    private Integer transverse;
    /**
     * 纵向尺寸(单位mm)
     */
    private Integer portrait;
    /**
     * 是否需要年检，0：否1：是
     */
    private Integer inspect;
    /**
     * 证照状态，0：禁用1：启用
     */
    private Integer status;
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof CertificateCatalogEntity) {
            CertificateCatalogEntity tmp = (CertificateCatalogEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

        this.siteId = -1L;

        this.catalogName = "";

        this.catalogCode = "";

        this.holderType = 1;

        this.industryId = -1L;

        this.classifyId = -1L;

        this.transverse = 0;

        this.portrait = 0;

        this.inspect = 0;

        this.status = 1;
    }
}